Subject: Re: bug#1013: 23.0.60; permanent-local not honored for word-wrap

From: "Lennart Borgman (gmail)" <[email-masked]>
Date: Mon, 22 Sep 2008 16:37:22 +0200

Stefan Monnier wrote:
>>   (put 'word-wrap 'permanent-local t)
>>   (setq word-wrap t)
>>   (kill-all-local-variables)
> 
>> and then look at word-wrap. It is nil, but it should be t.
> 
> Why should it?  word-wrap is automatically made local, so the `setq' is
> really like (set (make-local-variable 'word-wrap) t), thus not changing
> the global value at which is you'll be looking in the end.

I just tested with truncate-lines. Same bug as with word-wrap.

Both `word-wrap' and `truncate-lines' are defined using
DEFVAR_PER_BUFFER. My guess is that there is a bug in DEFVAR_PER_BUFFER
or something related to that.

Stefan, could it be that you forgot about `permanent-local' when you
implemented this?